Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.msv.grammar.xmlschema
Class XMLSchemaSchema

    java.lang.Object
      com.sun.msv.grammar.xmlschema.XMLSchemaSchema

All Implemented Interfaces:
  java.io.Serializable

public class XMLSchemaSchema
extends java.lang.Object
implements java.io.Serializable

XML Schema object.

A set of "schema components" that share the same target namespace. It contains all global declarations.

Author:
  Kohsuke KAWAGUCHI
See Also:
  Serialized Form

Nested Class Summary
`class` | `XMLSchemaSchema.AttributeDeclContainer`
`class` | `XMLSchemaSchema.AttributeGroupContainer`
`class` | `XMLSchemaSchema.ComplexTypeContainer`
`class` | `XMLSchemaSchema.ElementDeclContainer`
`class` | `XMLSchemaSchema.GroupDeclContainer`
`class` | `XMLSchemaSchema.IdentityConstraintContainer`
`class` | `XMLSchemaSchema.SimpleTypeContainer`

Field Summary
`XMLSchemaSchema.AttributeDeclContainer` | `attributeDecls` map from attribute declaration name to AttributeDeclExp object
`XMLSchemaSchema.AttributeGroupContainer` | `attributeGroups` map from attribute group name to AttributeGroupExp object
`XMLSchemaSchema.ComplexTypeContainer` | `complexTypes` map from simple type name to SimpleTypeExp object
`XMLSchemaSchema.ElementDeclContainer` | `elementDecls` map from attribute declaration name to AttributeDeclExp object
`XMLSchemaSchema.GroupDeclContainer` | `groupDecls` map from attribute declaration name to AttributeDeclExp object
`XMLSchemaSchema.IdentityConstraintContainer` | `identityConstraints` map from identity constraint name to IdentityConstraint object.
`ExpressionPool` | `pool` pool object which was used to construct this grammar.
`XMLSchemaSchema.SimpleTypeContainer` | `simpleTypes` map from simple type name to SimpleTypeExp object
`java.lang.String` | `targetNamespace` target namespace URI of this schema.
`Expression` | `topLevel` choice of all global element declarations.
`static java.lang.String` | `XMLSchemaInstanceNamespace`

Constructor Summary
`XMLSchemaSchema(java.lang.String targetNamespace, XMLSchemaGrammar parent)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### XMLSchemaInstanceNamespace

    public static final java.lang.String XMLSchemaInstanceNamespace

See Also:
  Constant Field Values

### targetNamespace

    public final java.lang.String targetNamespace

  target namespace URI of this schema.

### pool

    public final ExpressionPool pool

  pool object which was used to construct this grammar.

### topLevel

    public Expression topLevel

  choice of all global element declarations.

### simpleTypes

    public final XMLSchemaSchema.SimpleTypeContainer simpleTypes

  map from simple type name to SimpleTypeExp object

### complexTypes

    public final XMLSchemaSchema.ComplexTypeContainer complexTypes

  map from simple type name to SimpleTypeExp object

### attributeGroups

    public final XMLSchemaSchema.AttributeGroupContainer attributeGroups

  map from attribute group name to AttributeGroupExp object

### attributeDecls

    public final XMLSchemaSchema.AttributeDeclContainer attributeDecls

  map from attribute declaration name to AttributeDeclExp object

### elementDecls

    public final XMLSchemaSchema.ElementDeclContainer elementDecls

  map from attribute declaration name to AttributeDeclExp object

### groupDecls

    public final XMLSchemaSchema.GroupDeclContainer groupDecls

  map from attribute declaration name to AttributeDeclExp object

### identityConstraints

    public final XMLSchemaSchema.IdentityConstraintContainer identityConstraints

  map from identity constraint name to IdentityConstraint object.

Constructor Detail

### XMLSchemaSchema

    public XMLSchemaSchema(java.lang.String targetNamespace,
                           XMLSchemaGrammar parent)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD